PDA

View Full Version : MetaCafe just said NO to all their Linux users



greggh
July 15th, 2006, 01:49 PM
I go to www.metacafe.com every now and then to see some funny vids. A few days ago I visit and I can no longer view anything. It says I have to get the latest Flash player. That sucks!

Engnome
July 15th, 2006, 01:56 PM
Works for me with mplayer plugin...Do they have flash movies to?

greggh
July 15th, 2006, 01:59 PM
I have the mplayer plugin. Metacafe was working for me up until a few days ago. I did the latest codecs update through automatix so maybe that screwed something up... but all other sites are still working for me.

Lord Illidan
July 15th, 2006, 02:02 PM
I also get the message in Flock and Firefox.

Engnome
July 15th, 2006, 02:04 PM
Hmmm... I actually had the excact same experience with youtube sometime ago...they said I didn't have flash but it worked on other sites. So I tried firefox and it worked.

Also I have win32 (or whatever their name was) codecs from an unofficial repository.

greggh
July 15th, 2006, 02:07 PM
I've been watching the MetaCafe vids fine up untill a few days ago in firefox. I just tried it in Opera, but I get the same message that I need the newest Flash.

Engnome, I checked and Synaptic shows I have the latest w32codecs installed and I have all the latest stuff installed from automatix as well. Youtube and google video still work fine for me. Is anyone else able to actually watch the vids on metacafe?

NESFreak
July 15th, 2006, 02:32 PM
many websites now use embeded flash video player wich they are now writen in flash 8, while for linux only up to version 7 is available.

rowanparker
July 15th, 2006, 03:47 PM
But isn't there a version 9 (for Linux) on the way?

Kimm
July 15th, 2006, 05:27 PM
Yes, due for release in 2007 :mad:

Cross your fingers and hope for Gnash. Untill then you can play Flash videos in Windows Firefox (using wine)

bailout
July 16th, 2006, 02:31 AM
Interesting, I tried this site in Konqueror and the videos were playing fine...for a while and then I started getting the message as well. It now shows on every video I try.

Just deleted the cookies from that site and they now play again. Looks like you get annoying messages after so many plays but the films will play in version seven.

greggh
July 16th, 2006, 03:12 AM
Bailout thanks. I cleared my metafilter cookies and now they play again. But now I can't find the search function anywhere on the site. Did they just remove the ability to search?

B0rsuk
July 16th, 2006, 07:15 AM
Does anyone know how to disable flash from Firefox 1.5 ? I mean, without deleting any files, I can always do it later.

The reason is that there are very few sites I want to see with flash enabled.And the most important of them: http://enemyterritory.com recently migrated to f9.
in 98% of the cases flash is used to launch popups. I want to disable it.

TrD
July 16th, 2006, 12:09 PM
You can use flashblock (https://addons.mozilla.org/firefox/433/)

WildTangent
July 16th, 2006, 08:39 PM
Does anyone know how to disable flash from Firefox 1.5 ? I mean, without deleting any files, I can always do it later.

The reason is that there are very few sites I want to see with flash enabled.And the most important of them: http://enemyterritory.com recently migrated to f9.
in 98% of the cases flash is used to launch popups. I want to disable it.

Arghh, those jerks... :mad:

-Wild

greggh
July 19th, 2006, 07:58 PM
As of today even clearing my cookies won't get Metacafe vids to play... insists that I upgrade flash... one more site I can't visit with linux ](*,)

raptxt
July 21st, 2006, 08:45 AM
you can try to edit metacafè cookies with cookie editor for firefox.
just find the two cookies named flashinstalled and change 7.0 in 9.0
it works!

TecnoVM64
July 21st, 2006, 11:52 AM
MySpace is going to change it too :(
I hate you Adobe!!

rowanparker
July 21st, 2006, 12:17 PM
But at least they said they would make a Linux version. When is a different question though, lol.

darrenrxm
July 21st, 2006, 12:24 PM
www.mtv.ca doesn't work either.

shom
July 27th, 2006, 08:52 PM
I still see nothing. what browser do you use and how should I clean the cookies?

RavenOfOdin
July 27th, 2006, 09:00 PM
Whoa. . .am I missing something, or did this thread recently turn into someone's playground? :confused:

greggh
July 27th, 2006, 09:52 PM
Whoa. . .am I missing something, or did this thread recently turn into someone's playground? :confused:

You mean because of all the edits by ubuntu_demon? I used an off color 2 letter abbreveiation instead of the word "NO" in the subject. I guess he had to edit each post to change it in the subject line. I got a warning which will expire in a couple of days. If you do use some off color language, make sure not to do it in the subject... they really hate that. ;-)

Ooooh, I just noticed that my warning already expired. :)

RavenOfOdin
July 28th, 2006, 02:33 AM
If you do use some off color language, make sure not to do it in the subject... they really hate that. ;-)


Took him long enough to catch it. Lol.

Melutox
August 6th, 2006, 01:24 AM
I think the solution lies in the header of the browser (the info mozilla or firefox sends to the metacafe server). If there were a way to edit this header and change the version number of the Flash plugin from 7.x to 9.0, I'm pretty sure it would work. .. the problem is I'm not sure how to do this... Any ideas?

For the time being I'm going to try the M$ Explorer over CrossOver...:razz:

xlekox
August 16th, 2006, 05:39 PM
http://ubuntuforums.org/showthread.php?t=219839


Open the file ~/.mozilla/firefox/pluginreg.dat
change
Shockwave Flash 7.0 r63:$
to
Shockwave Flash 9.0 r63:$ But it doesn't work in metacafe (only plays sound) :(

GuitarHero
August 16th, 2006, 07:19 PM
Ive tried that and it didnt work for me.